LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUpdateBroadcaster Interface Referencepublished

is the broadcaster interface for sending "approveUpdate" and "updated" events. More...

`import"XUpdateBroadcaster.idl";`

Inheritance diagram for XUpdateBroadcaster:

## Public Member Functions
void | addUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| adds the specified listener to receive the events "approveUpdate" and "updated". More...
void | removeUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the broadcaster interface for sending "approveUpdate" and "updated" events.

The component supporting this interface must do approval calls (XUpdateListener::approveUpdate()) immediately before the data is updated, and notification calls (XUpdateListener::updated()) immediately afterwards.

See also
  XUpdateListener

## Member Function Documentation

## ◆ addUpdateListener()

void addUpdateListener | ( | [in] com::sun::star::form::XUpdateListener | aListener | ) |

adds the specified listener to receive the events "approveUpdate" and "updated".

Parameters

  aListener | the listener to add.

See also
  com::sun::star::form::XUpdateListener

## ◆ removeUpdateListener()

void removeUpdateListener | ( | [in] com::sun::star::form::XUpdateListener | aListener | ) |

removes the specified listener.

Parameters

  aListener | the listener to remove.

See also
  com::sun::star::form::XUpdateListener

The documentation for this interface was generated from the following file:

- com/sun/star/form/XUpdateBroadcaster.idl